<?php
    /*------------------------------------------------------------------------
    # default.php - Stand Alone Like Component
    # ------------------------------------------------------------------------
    # author    Joomboxr Team
    # copyright Copyright (C) 2010-2016 joomboxr.com. All Rights Reserved.
    # license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
    # Support Forum   http://joomboxr.com/product/cbx-like/
    -------------------------------------------------------------------------*/

    // No direct access to this file
    defined('_JEXEC') or die('Restricted Access');
    //JHtml::_('formbehavior.chosen', 'select');


    $app                = JFactory::getApplication();
    $this->listOrder    = $this->escape($this->state->get('list.ordering'));
    $this->listDirn     = $this->escape($this->state->get('list.direction'));
    $this->sortFields   = $this->getSortFields();
    $this->user         = JFactory::getUser();
    $this->userId       = $this->user->get('id');
    JText::script('COM_CBLIKE_SELECT_VIEW');



?>

<form action="<?php echo JRoute::_('index.php?option=com_cblike&view=cbxliketrack'); ?>" method="post" name="adminForm"
      id="adminForm">
    <?php if (!empty($this->sidebar)) : ?>
    <div id="j-sidebar-container" class="span2">
        <?php echo $this->sidebar; ?>
    </div>
    <div id="j-main-container" class="span10">
        <?php else : ?>
        <div id="j-main-container">
            <?php endif; ?>
            <?php echo $this->loadTemplate('filters'); ?>
            <?php if (empty($this->items)) : ?>
                <div class="alert alert-no-items">
                    <?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
                </div>
            <?php else : ?>
                <table class="table table-striped" id="cbxlikes">
                    <thead><?php echo $this->loadTemplate('head'); ?> </thead>
                    <tbody><?php echo $this->loadTemplate('body'); ?></tbody>
                </table>
            <?php endif; ?>
            <?php echo $this->pagination->getListFooter(); ?>

        </div>


        <div>
            <input type="hidden" name="task" value=""/>
            <input type="hidden" name="boxchecked" value="0"/>
            <input type="hidden" name="filter_order" value="<?php echo $this->listOrder; ?>"/>
            <input type="hidden" name="filter_order_Dir" value="<?php echo $this->listDirn; ?>"/>
            <?php echo JHtml::_('form.token'); ?>
        </div>
</form>

<?php

    $component_view_array = array("com_content"    => array("article", "articles", "archive", "categories", "category", "featured"),
                                  "com_virtuemart" => array("askquestion", "cart", "category", "invoice", "orders", "pdf", "productdetails", "recommend", "user", "vendor", "virtuemart", "vmplg"),
                                  "com_k2"         => array("comments", "item", "latest"));

    $selectedview = $this->state->get('filter.extension_views');
?>

<script>
    jQuery(document).ready(function ($) {

        var extensionname = $("#filter_extension_components option:selected").val();
        var selectedview = "<?php echo $selectedview ?>";


        var  viewoptionsarray = "";

        if (extensionname == 'com_content') {
            viewoptionsarray = <?php echo json_encode($component_view_array["com_content"]) ?>;

        } else if (extensionname == 'com_virtuemart') {
            viewoptionsarray = <?php echo json_encode($component_view_array["com_virtuemart"]) ?>;

        } else if (extensionname == 'com_k2') {
            viewoptionsarray = <?php echo json_encode($component_view_array["com_k2"]) ?>;
        }


        //var viewoptions = '<option value="">' + Joomla.JText._("COM_CBLIKE_SELECT_VIEW", "Select") +'</option>';
        var viewoptions = '<option value="">Select View</option>';
        if(viewoptionsarray != ""){
            $.each(viewoptionsarray, function (key, val) {
                var $selected = " ";

                if (selectedview == val) {
                    $selected += 'selected="selected"';
                }
                viewoptions += '<option value="' + val + '" ' + $selected + '>' + val + '</option>';

            });

        }

        $('#filter_extension_views').empty();
        $('#filter_extension_views').append(viewoptions);

    });
</script>