/* 
 * ccblikebuttonjs.js - Main js file for cblikebutton content plg
 *
 * This js file is used to click like button adn send/receive ajax request
 *
 # ------------------------------------------------------------------------
 # author    Joomboxr Team
 # copyright Copyright (C) 2010-2016 joomboxr.com. All Rights Reserved
 # license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
 # Support Forum   http://joomboxr.com/product/cbx-like/
 -------------------------------------------------------------------------*/

jQuery(document).ready(function($){


    //anchor tag click event for guest user
    $('.cblikebutton-anchor-guest').on("click", function(event){
        event.preventDefault();

        var anchor = $(this);
        var button = anchor.find('.cblikebtn');
        if(button.length == 0){
            button = anchor.find('.cblikebtnimg');
        }

        anchor.data("mute", 1);
        button.addClass("disabled");

        alert($(this).attr('title'));

    });

    /*
    $('.cblikebutton-anchor').each(function(event){

        var anchor = $(this);
        var button = anchor.find('.cblikebtn');
        var count = anchor.find('.cblikebutton-count');
        var cblikestatmsg = anchor.next('.cblikestatmsg');

        cblikestatmsg.text('').addClass("cblikeajaxloader");


        if(parseInt(anchor.data("mute")) == 1){
            if(cblikeobj.btntype === 'html') {
                button.addClass("disabled").text(cblikeobj.txtafterlike);
            }
            else{


                //$(this).find(".cblikebtnimg").removeClass("cblikebtnimg-"+ cblikeobj.imgstyle).addClass("cblikebtnimg-"+ cblikeobj.imgstyle +"-after");
            }

        }

        //console.log($(this).data("summary"));
        $.ajax({
            type: "POST",
            cache: false,
            url: cblikeobj.staturl,
            data: "data= " + $(this).data("summary"),
            success: function(responseText){
                //console.log(responseText);

                var datastat = jQuery.parseJSON(responseText);

                //console.log(datastat);

                if (datastat.userliked) {
                    anchor.data("mute", 1);
                    button.addClass("disabled").text(cblikeobj.txtafterlike);
                }

                if (datastat.stat !== null) {
                    count.text(datastat.stat.likecount);


                    if(cblikeobj.detail === '1') {
                        var userlike = datastat.stat.likecount - datastat.stat.guestlike;
                        var guestlike = datastat.stat.guestlike;

                        var befirst_t         = cblikeobj.befirst_t;
                        var nusers_more       = cblikeobj.nusers_more;
                        var nusers_0          = cblikeobj.nusers_0;
                        var nusers_1          = cblikeobj.nusers_1;
                        var guest_more        = cblikeobj.guest_more;
                        var guest_0           = cblikeobj.guest_0;
                        var guest_1           = cblikeobj.guest_1;
                        var strand            = cblikeobj.strand;



                        //var usertxt = (userlike < 2) ? ' user' : ' users';
                        //var guesttxt = (guestlike < 2) ? ' guest' : ' guests';

                        //var verbtxt  = (datastat.likecount < 2) ? ' has ' : ' have ';

                        var usertxt = '';

                        switch(usertxt){
                            case '0':
                                usertxt = nusers_0;
                                break;
                            case '1':
                                usertxt = nusers_1;
                                break;
                            default :
                                usertxt = nusers_more;
                                usertxt     = usertxt.replace(/%d/gi, userlike );
                        }

                        var guesttxt = '';

                        switch(guesttxt){
                            case '0':
                                guesttxt = guest_0;

                                break;
                            case '1':
                                guesttxt = guest_1;
                                break;
                            default :
                                guesttxt = guest_more;
                                guesttxt     = guesttxt.replace(/%d/gi, guestlike );
                        }

                        //$(cblikestatmsg).removeClass("cblikeajaxloader").text(userlike + usertxt + ' and ' + guestlike + guesttxt + verbtxt + (cblikeobj.txtafterlike.toLowerCase()) +'.');
                        cblikestatmsg.removeClass("cblikeajaxloader").text(usertxt + strand + guesttxt) ;
                        //console.log('changed');

                    } else {

                        cblikestatmsg.removeClass("cblikeajaxloader");
                    }

                } else {
                    count.text('0');
                    var befirst_t = cblikeobj.befirst_t;
                    befirst_t     = befirst_t.replace(/%s/gi, cblikeobj.txtbeforelike.toLowerCase() );
                    //$(cblikestatmsg).removeClass("cblikeajaxloader").text('Be first to ' + (cblikeobj.txtbeforelike.toLowerCase()) + '.');
                    cblikestatmsg.removeClass("cblikeajaxloader").text(befirst_t);
                }

            }
        }); // end of initial ajax

    }); // end of first stat setting round

    */


    // The Button options starts
    if(cblikeobj.btntype === 'html') {

        /*if (cblikeobj.guest === '1') {

         $(".
         ").each(function(event){
         //if($.cookie($(this).data("summary")) != null){
         $(this).data("mute", 1);
         $(this).find(".cblikebtn").addClass("disabled").text(cblikeobj.txtafterlike);
         //}
         });

         } // end of is guest*/



        $('.cblikebutton-anchor').on("click", function(event){
            event.preventDefault();

            //console.log('clicked');

            var anchor = $(this);
            var button = anchor.find('.cblikebtn');
            var count = anchor.find('.cblikebutton-count');

            var cblikestatmsg = anchor.next('.cblikestatmsg');



            if(parseInt(anchor.data("mute")) == 0) {


                var pretxt = cblikestatmsg.text();
                cblikestatmsg.text('').addClass("cblikeajaxloader");



                $.ajax({
                    type: "POST",
                    url: cblikeobj.comurl,
                    data: "data= {\"authtoken\":\"" + cblikeobj.cblikeauth + "\", \"data\":\"" + $(this).data("summary") + "\"}",
                    success: function(responseText){

                        console.log(responseText);


                        anchor.data("mute", 1);



                        //wheren there is no response text

                        if (responseText == '') {
                            cblikestatmsg.removeClass("cblikeajaxloader").text(cblikeobj.ajaxresponseerror);
                            anchor.data("mute", 1);
                            button.removeClass("disabled").text(cblikeobj.txtbeforelike);
                            cblikestatmsg.text(pretxt);
                            return true;
                        }




                        //if response , then check if valid json
                        var respval = cbxIsJson(responseText);



                        if(!respval) {
                            anchor.data("mute", 1);
                            button.removeClass("disabled");
                            cblikestatmsg.removeClass("cblikeajaxloader").text(cblikeobj.ajaxresponseerror).delay(5000);
                            //location.reload();
                            return true;
                        }

                        //now valid json

                        var stat = jQuery.parseJSON(responseText);


                        if (stat.error) {
                            cblikestatmsg.removeClass("cblikeajaxloader").text(stat.error).delay(5000);
                            //location.reload();
                            //console.log(stat);
                            return true;
                        }

                        if(stat.isVoted){
                            anchor.data("mute", 1);
                            //button.removeClass("disabled");
                            cblikestatmsg.removeClass("cblikeajaxloader").text(stat.msg);
                            //alert(stat.msg);
                            button.addClass("disabled");
                            return true;
                        }


                        count.text(stat.likecount);

                        button.addClass("disabled").text(cblikeobj.txtafterlike);

                        if(cblikeobj.detail === '1') {

                            var userlike = stat.likecount - stat.guestlike;
                            var guestlike = stat.guestlike;

                            var befirst_t         = cblikeobj.befirst_t;
                            var nusers_more       = cblikeobj.nusers_more;
                            var nusers_0          = cblikeobj.nusers_0;
                            var nusers_1          = cblikeobj.nusers_1;
                            var guest_more        = cblikeobj.guest_more;
                            var guest_0           = cblikeobj.guest_0;
                            var guest_1           = cblikeobj.guest_1;
                            var strand            = cblikeobj.strand;




                            var usertxt = '';

                            switch(usertxt){
                                case '0':
                                    usertxt = nusers_0;
                                    break;
                                case '1':
                                    usertxt = nusers_1;
                                    break;
                                default :
                                    usertxt = nusers_more;
                                    usertxt     = usertxt.replace(/%d/gi, userlike );
                            }

                            var guesttxt = '';

                            switch(guesttxt){
                                case '0':
                                    guesttxt = guest_0;

                                    break;
                                case '1':
                                    guesttxt = guest_1;
                                    break;
                                default :
                                    guesttxt = guest_more;
                                    guesttxt     = guesttxt.replace(/%d/gi, guestlike );
                            }


                            cblikestatmsg.removeClass("cblikeajaxloader").text(usertxt + strand + guesttxt);


                        } else {

                            cblikestatmsg.removeClass("cblikeajaxloader");
                        }





                    },
                    error: function (xhr, ajaxOptions, thrownError) {
                        console.log('developer note: ajax error from cblikebutton-content plguin');

                    }
                }); //end ajax
            }

        });

    } // end of html button


    if(cblikeobj.btntype === 'img') {

        /*if (cblikeobj.guest === '1') {

         $(".cblikebutton-anchor-guest").each(function(event) {
         //if ($.cookie($(this).data("summary")) != null) {
         $(this).data("mute", 1);
         $(".cblikebtnimg", this).removeClass("cblikebtnimg-"+ cblikeobj.imgstyle).addClass("cblikebtnimg-"+ cblikeobj.imgstyle +"-after");
         //}
         });
         } // end of guest check*/

        $(".cblikebutton-anchor").click(function(event){
            //console.log(cblikeobj);
            var anchor = $(this);
            var button = anchor.find(".cblikebtnimg");
            var count = anchor.find(".cblikebutton-count");

            var cblikestatmsg = anchor.next(".cblikestatmsg");

            event.preventDefault();

            if(parseInt(anchor.data("mute")) == 0) {

                cblikestatmsg.text('').addClass("cblikeajaxloader");

                $.ajax({
                    type: "POST",
                    url: cblikeobj.comurl,
                    data: "data= {\"authtoken\":\"" + cblikeobj.cblikeauth + "\", \"data\":\"" + $(this).data("summary") + "\"}",
                    success: function(responseText){
                        //console.log(responseText);
                        anchor.data("mute", 1);
                        button.removeClass("cblikebtnimg-"+ cblikeobj.imgstyle).addClass("cblikebtnimg-"+ cblikeobj.imgstyle + "-after");
                        var stat = jQuery.parseJSON(responseText);

                        if(stat.isVoted){
                            anchor.data("mute", 1);
                            cblikestatmsg.removeClass("cblikeajaxloader").text(stat.msg);

                            button.addClass("disabled");
                            return true;
                        }

                        count.text(stat.likecount);

                        if(cblikeobj.detail === '1') {
                            var userlike = stat.likecount - stat.guestlike;
                            var guestlike = stat.guestlike;


                            var befirst_t         = cblikeobj.befirst_t;
                            var nusers_more       = cblikeobj.nusers_more;
                            var nusers_0          = cblikeobj.nusers_0;
                            var nusers_1          = cblikeobj.nusers_1;
                            var guest_more        = cblikeobj.guest_more;
                            var guest_0           = cblikeobj.guest_0;
                            var guest_1           = cblikeobj.guest_1;
                            var strand            = cblikeobj.strand;



                            var usertxt = '';

                            switch(usertxt){
                                case '0':
                                    usertxt = nusers_0;
                                    break;
                                case '1':
                                    usertxt = nusers_1;
                                    break;
                                default :
                                    usertxt = nusers_more;
                                    usertxt     = usertxt.replace(/%d/gi, userlike );
                            }

                            var guesttxt = '';

                            switch(guesttxt){
                                case '0':
                                    guesttxt = guest_0;

                                    break;
                                case '1':
                                    guesttxt = guest_1;
                                    break;
                                default :
                                    guesttxt = guest_more;
                                    guesttxt     = guesttxt.replace(/%d/gi, guestlike );
                            }


                            cblikestatmsg.removeClass("cblikeajaxloader").text(usertxt + strand + guesttxt);




                        } else {

                            cblikestatmsg.removeClass("cblikeajaxloader");
                        }
                    }


                }); //end ajax
            }//end mute check
        });

    } // end of image button
});


function cbxIsJson(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}