/* 
 * cblikebutton.php - Content - CB Like Button
 * -------------------------------------------
 * The extra jQuery functions 
 * 
 */


jQuery(function($){ 
    
    $(this).ready(function(){
        
        $('.cblikebutton-anchor').each(function(event){
            
            var anchor = $(this);
            var button = $('.cblikebtn',this);
            var count = $('.cblikebutton-count',this);
            var cblikestatmsgmod = $(this).siblings('.cblikestatmsg-mod');
            
            $(cblikestatmsgmod).text('').addClass("cblikeajaxloader");
                
            $.ajax({
                  type: "POST",
                  url: cblikemodobj.staturl,
                  data: "data= " + $(this).data("summary"),                                
                  success: function(responseText){
                      
                      var datastat = jQuery.parseJSON(responseText);
                      
                      if (datastat.userliked) {
                          $(anchor).attr("mute", 1);
                          $(button).addClass("disabled").text(cblikemodobj.txtafterlike);
                      }
                      
                      if (datastat.stat !== null) {
                        $(count).text(datastat.stat.likecount);
                      

                      if(cblikemodobj.detail === '1') {
                            var userlike = datastat.stat.likecount - datastat.stat.guestlike;
                            var guestlike = datastat.stat.guestlike;

                            var usertxt = (userlike < 2) ? ' user' : ' users';
                            var guesttxt = (guestlike < 2) ? ' guest' : ' guests';
                            var verbtxt  = (datastat.likecount < 2) ? ' has ' : ' have ';

                            $(cblikestatmsgmod).removeClass("cblikeajaxloader").text(userlike + usertxt + ' and ' + guestlike + guesttxt + verbtxt + (cblikemodobj.txtafterlike.toLowerCase()) +'.');

                      } else {
                        
                            $(cblikestatmsgmod).removeClass("cblikeajaxloader");
                        }
                        
                    } else {
                      $(count).text('0');
                      $(cblikestatmsgmod).removeClass("cblikeajaxloader").text('Be first to ' + (cblikemodobj.txtbeforelike.toLowerCase()) + '.');
                  }

                }
                }); // end of initial ajax
        
        }); // end of first stat setting round
        
        
        // The Button options starts
        if(cblikemodobj.btntype === 'html') {
       
            if (cblikemodobj.guest === '1') {

                 $(".cblikebutton-anchor").each(function(event){                        
                     if($.cookie($(this).data("summary")) != null){
                             $(this).attr("mute", 1);
                             $(".cblikebtn",this).addClass("disabled").text(cblikemodobj.txtafterlike);
                       } 
                 });

            } // end of is guest
    
            $('.cblikebutton-anchor').click(function(event){
                event.preventDefault();

                var anchor = $(this);
                var button = $('.cblikebtn',this);
                var count = $('.cblikebutton-count',this);
                var cblikestatmsgmod = $(this).siblings('.cblikestatmsg-mod');


                if($(anchor).attr("mute") === "0") {
                 
                 var pretxt = $(cblikestatmsgmod).text();  
                 $(cblikestatmsgmod).text('').addClass("cblikeajaxloader");
                 $.ajax({
                  type: "POST",
                  url: cblikemodobj.comurl,
                  data: "data= {\"authtoken\":\"" + cblikemodobj.cblikeauth + "\", \"data\":\"" + $(this).data("summary") + "\"}",                                
                  success: function(responseText){
                          $(anchor).attr("mute", 1);
                          $(button).addClass("disabled").text(cblikemodobj.txtafterlike);
                          
                          if (responseText == '') {
                              $(cblikestatmsgmod).removeClass("cblikeajaxloader").text("Error! try again.");
                              $(anchor).attr("mute", 0);
                              $(button).removeClass("disabled").text(cblikemodobj.txtbeforelike);
                              
                              $(cblikestatmsgmod).text(pretxt);
                                      
                              return true;
                          }
                          

                          var stat = jQuery.parseJSON(responseText);
                          
                          if (stat.error) {
                              $(cblikestatmsgmod).removeClass("cblikeajaxloader").text(stat.error).delay(5000);
                              location.reload();
                              return true;
                          }
                          
                         
                          $(count).text(stat.likecount);
                          
                        if(cblikemodobj.detail === '1') {

                            var userlike = stat.likecount - stat.guestlike;
                            var guestlike = stat.guestlike;

                            var usertxt = (userlike < 2) ? ' user' : ' users';
                            var guesttxt = (guestlike < 2) ? ' guest' : ' guests';
                            var verbtxt  = (stat.likecount < 2) ? ' has ' : ' have ';

                            $(cblikestatmsgmod).removeClass("cblikeajaxloader").text(userlike + usertxt + ' and ' + guestlike + guesttxt + verbtxt + (cblikemodobj.txtafterlike.toLowerCase()) +'.');
                          
                        } else {
                        
                            $(cblikestatmsgmod).removeClass("cblikeajaxloader");
                        }
                        
                        
                        
                    if (cblikemodobj.guest === '1') {

                        $.cookie($(anchor).data("summary"), "1" , { expires: 365 });
                    }

                }
                }); //end ajax
                }
                });
    
        } // end of html button
    
        
        if(cblikemodobj.btntype === 'img') {

            if (cblikemodobj.guest === '1') {
                
                $(".cblikebutton-anchor").each(function(event) {
                    if ($.cookie($(this).data("summary")) != null) {
                        $(this).attr("mute", 1);
                        $(".cblikebtnimg", this).removeClass("cblikebtnimg-"+ cblikemodobj.imgstyle).addClass("cblikebtnimg-"+ cblikemodobj.imgstyle +"-after");
                    }
                });
            } // end of guest check

            $(".cblikebutton-anchor").click(function(event){
                
                    var anchor = $(this);
                    var button = $(".cblikebtnimg",this);
                    var count = $(".cblikebutton-count",this);
                    var cblikestatmsgmod = $(this).siblings(".cblikestatmsg-mod");

                      event.preventDefault();

                      if($(anchor).attr("mute") === "0") {
                          
                       $(cblikestatmsgmod).text('').addClass("cblikeajaxloader");
                       $.ajax({
                        type: "POST",
                        url: cblikemodobj.comurl,
                        data: "data= {\"authtoken\":\"" + cblikeauth + "\", \"data\":\"" + $(this).data("summary") + "\"}",
                        success: function(responseText){
                                $(anchor).attr("mute", 1);
                                $(button).removeClass("cblikebtnimg-"+ cblikemodobj.imgstyle).addClass("cblikebtnimg-"+ cblikemodobj.imgstyle + "-after");
                                var stat = jQuery.parseJSON(responseText);
                                $(count).text(stat.likecount);

                                if(cblikemodobj.detail === '1') {
                                    var userlike = stat.likecount - stat.guestlike;
                                    var guestlike = stat.guestlike;

                                    var usertxt = (userlike < 2) ?  ' user' : ' users';
                                    var guesttxt = (guestlike < 2) ? ' guest' : ' guests';
                                    var verbtxt  = (stat.likecount < 2) ? ' has ' : ' have ';

                                    $(cblikestatmsgmod).removeClass("cblikeajaxloader").text(userlike + usertxt + ' and ' + guestlike + guesttxt + verbtxt + (cblikemodobj.txtafterlike.toLowerCase()) +'.');

                                } else {
                        
                                    $(cblikestatmsgmod).removeClass("cblikeajaxloader");
                                }
                                
                                if (cblikemodobj.guest === '1') {

                                    $.cookie($(anchor).data("summary"), "1", {expires: 365});
                                }
                        }

                        
                    }); //end ajax
                }
            });

        } // end of image button
    
    
        
    });// end dom ready
}); // end of jquery handle