<?php
/**
 * CB Like most popular article display
 *
 * @version 1.0
 * @package mod_cblikemostpop
 * @author Codeboxr team ( http://codeboxr.com )
 * @copyright Copyright (C) 2011-2013 http://codeboxr.com. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @help http://codeboxr.com/product/standalone-like-system-for-joomla
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

$articletitlesnip = $params->get('articletitlesnip', 0);
$articletitlechar = $params->get('articletitlechar', 25);
$modmaxheight     = $params->get('modmaxheight', 300);
$likebtn          = $params->get('likebtn', 1);
$bgstyle          = $params->get('bgstyle', 'light');

$doc = JFactory::getDocument();
$doc->addStyleSheet(JURI::root().'modules/mod_cblikemostpop/assets/css/cblikemostpop.css');

    //$doc->addStyleDeclaration('.cblikemostpop-wrp{border: 1px solid #E8E8E8;}');

echo '<div id="cblikemostpop" class="cblikemostpop-wrp cblikemostpop-wrp'.$moduleclass_sfx.'">';


    if(!empty($result)) {
        $html ='<ul>';
        $i = 1;

//echo "<pre>";var_dump($result);echo "</pre>";

        foreach ($result as $row){

            $html .='<li>';
            if($articletitlesnip && strlen($row['title']) > $articletitlechar){

               $title = substr($row['title'],0,$articletitlechar) . '...';

            } else {
                $title = $row['title'];
            }

            $html .= '<a href="'.$row['url'].'" style ="display:inline;"class="cblikemostpop-title">';
            $html .= ($row['image'] != "") ?'<img width="100px" height="100px" src="'.$row['image'].'"/></br>':"";
            $html .= $title;
            $html .= '</a>';
            if($likebtn){
                $html .= $row['button'];
            }

            $html .= '</li>';

            $i++;
        }
        $html .= '</ul>';
        echo $html;
    }
    else{
        $html='<ul><li>'.JText::_("MOD_CBX_LIKE_NOT_FOUND").'</li></ul>';
        echo $html;
    }
echo '</div>';
?>

