    <?php
/*------------------------------------------------------------------------
# script.php - Stand Alone Like Component
# ------------------------------------------------------------------------
# author    Joomboxr Team
# copyright Copyright (C) 2010-2016 joomboxr.com. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# Support Forum   http://joomboxr.com/product/cbx-like/
-------------------------------------------------------------------------*/

    // No direct access to this file
    defined('_JEXEC') or die('Restricted access');

    /**
     * Script file of MAgent component
     */
    class com_CBLikeInstallerScript {
        /**
         * method to install the component
         *
         * @return void
         */
        function install($parent) {
            // $parent is the class calling this method
            //$parent->getParent()->setRedirectURL('index.php?option=com_mysocialtimeline');
            //
            $db = JFactory::getDBO();

            $db->setQuery("CREATE TABLE IF NOT EXISTS `#__cbliker_liketrack` (
             `id` int(11) NOT NULL AUTO_INCREMENT,
			  `extensionname` varchar(255) DEFAULT NULL,
			  `itemid` int(11) DEFAULT NULL,
			  `viewname` varchar(20) NOT NULL,
			  `ipaddress` varchar(32) DEFAULT NULL,
			  `usersession` varchar(100) DEFAULT NULL,
			  `userid` int(11) DEFAULT NULL,
			  `username` varchar(255) DEFAULT '',
			  `created` datetime DEFAULT '0000-00-00 00:00:00',
			  PRIMARY KEY (`id`)
			) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=29;");
            //$db->query();
	        $db->execute();

            $db->setQuery("CREATE TABLE IF NOT EXISTS `#__cbliker_likesummary` (
               `id` int(11) NOT NULL AUTO_INCREMENT,
			  `extensionname` varchar(255) NOT NULL,
			  `itemid` int(11) NOT NULL,
			  `likecount` int(11) NOT NULL,
			  `guestlike` int(11) NOT NULL,
			  `usernames` text NOT NULL,
			  `viewname` varchar(20) NOT NULL,
			  PRIMARY KEY (`id`)
			) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=22;");

            //$db->query();
	        $db->execute();

            ?>
            <div style="text-align: center">
                <p>CBX Like Button Component is installed successfully! </p>
            </div>
        <?php
        }

        /**
         * method to uninstall the component
         *
         * @return void
         */
        function uninstall($parent) {
            // $parent is the class calling this method
            //
            $db = JFactory::getDBO();

			$db->setQuery("DROP TABLE IF EXISTS `#__cbliker_liketrack`");
	        $db->execute();

            $db->setQuery("DROP TABLE IF EXISTS `#__cbliker_likesummary`");
	        $db->execute();

            ?>
            <div style="text-align: center">
                <p>CBX Like Button Component uninstalled successfully!</p>
            </div>
        <?php
        }

        /**
         * method to update the component
         *
         * @return void
         */
        function update($parent) {
            $db = JFactory::getDBO();

	        $db->setQuery("CREATE TABLE IF NOT EXISTS `#__cbliker_liketrack` (
             `id` int(11) NOT NULL AUTO_INCREMENT,
			  `extensionname` varchar(255) DEFAULT NULL,
			  `itemid` int(11) DEFAULT NULL,
			  `viewname` varchar(20) NOT NULL,
			  `ipaddress` varchar(32) DEFAULT NULL,
			  `usersession` varchar(100) DEFAULT NULL,
			  `userid` int(11) DEFAULT NULL,
			  `username` varchar(255) DEFAULT '',
			  `created` datetime DEFAULT '0000-00-00 00:00:00',
			  PRIMARY KEY (`id`)
			) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=29 ;");
	        //$db->query();
	        $db->execute();

	        $db->setQuery("CREATE TABLE IF NOT EXISTS `#__cbliker_likesummary` (
               `id` int(11) NOT NULL AUTO_INCREMENT,
			  `extensionname` varchar(255) NOT NULL,
			  `itemid` int(11) NOT NULL,
			  `likecount` int(11) NOT NULL,
			  `guestlike` int(11) NOT NULL,
			  `usernames` text NOT NULL,
			  `viewname` varchar(20) NOT NULL,
			  PRIMARY KEY (`id`)
			) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=22;");

	        //$db->query();
	        $db->execute();

            //$db->query();
	        $db->execute();

	        $db = JFactory::getDBO();
	        $fields = $db->getTableColumns('#__cbliker_liketrack');
	        if (!array_key_exists('usersession', $fields))
	        {
		        $query = "ALTER TABLE #__cbliker_liketrack ADD `usersession` VARCHAR(100) DEFAULT NULL AFTER `ipaddress`";
		        $db->setQuery($query);
		        $db->execute();
	        }

            ?>

            <div style="text-align: center">
                <p>CBX Like Button Component updated successfully!</p>
            </div>
        <?php
        }

        /**
         * method to run before an install/update/uninstall method
         *
         * @return void
         */
        function preflight($type, $parent) {
            // $parent is the class calling this method
            // $type is the type of change (install, update or discover_install)

        }

        /**
         * method to run after an install/update/uninstall method
         *
         * @return void
         */
        function postflight($type, $parent) {
            // $parent is the class calling this method
            // $type is the type of change (install, update or discover_install)

        }
    }
